Package org.gradle.play.platform

## Interface PlayPlatform

- All Superinterfaces:
    `Named`, `Platform`

      @Incubating
      @Deprecated
      public interface PlayPlatform
      extends Platform

  Deprecated.
  Defines and configures a Play Framework environment including versions of Play, Scala and Java.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JavaPlatform` | `getJavaPlatform()` | Deprecated. Version of Java Runtime to use.
    `String` | `getPlayVersion()` | Deprecated. Version of Play Framework to use
    `ScalaPlatform` | `getScalaPlatform()` | Deprecated. Version of Scala Runtime to use.

    - ### Methods inherited from interface org.gradle.platform.base.Platform

      `getDisplayName, getName`

- - ### Method Detail

    - #### getPlayVersion

          String getPlayVersion()

      Deprecated.
      Version of Play Framework to use
      Returns:
        version of the Play Framework

    - #### getScalaPlatform

          ScalaPlatform getScalaPlatform()

      Deprecated.
      Version of Scala Runtime to use.
      Returns:
        version of the Scala runtime

    - #### getJavaPlatform

          JavaPlatform getJavaPlatform()

      Deprecated.
      Version of Java Runtime to use.
      Returns:
        version of the Java runtime